
    * Notes on creating a custom boot floppy pair for use with rda *
    

The easiest approach for a bootable system that will enable you to run
 rda --send ... on the source machine is to create a floppy pair.

lets call the 1st one	 bootfloppy
and the 2nd		 rootfloppy

bootfloppy is bootable and only holds a kernel
rootfloppy holds the root filesystem

1. bootfloppy

    'make clean' and 'make menuconfig' to configure your custom kernel.
    Make sure to produce a small kernel, but with the nesessary
    ide/scsi drivers and ramdisk support.
    The overall procedure for both floppies will be very simple if you choose to
    disable modules.
    
    'make dep' and 'make bzImage'
    and now you have your custom kernel on /usr/src/linux/arch/i386/boot/bzImage
    
    Now you have to set the kernel up so that:
	a. the kernel will read its root filesystem from /dev/fd0
	b. the kernel will mount the root filesystem RW and not RO
	c. the kernel will prompt the user to insert the second floppy
	d. the kernel has to be transfered on the 1st floppy
    These are done like this:
    ----------------------------------------------------
    rdev /usr/src/linux/arch/i386/boot/bzImage /dev/fd0
    rdev -R /usr/src/linux/arch/i386/boot/bzImage 0
    rdev -r /usr/src/linux/arch/i386/boot/bzImage 49152
    dd if=/usr/src/linux/arch/i386/boot/bzImage of=/dev/fd0
    ----------------------------------------------------
    
2. rootfloppy

    This will hold a minimal filesystem with stuff that will enable the user to
    choose a disk or partition for transfer and enable rda to run.
    i.e. devices like ide, scsi (or both), null, console, ram0, mem, kmem
	  and whatever your setup might need.
	 network, ethernet drivers, the ifconfig command, a simple shell
	  a few libraries and your executables like: /bin/init, sh, rda,
	  ifconfig echo...
	  
    a. create a directory structure and copy all needed files
    b. prepare the image file to hold your filesystem
    c. mount it (loopback)
    d. copy the files from your directory to the mounted fs
    e. umount it
    f. gzip it
    g. 'dd' the image file on the 2nd floppy

    These are done like this:
    ---------------------------------------------------------------------------
    a. mkdir tmp_dir :), and copy/create your files in there
    b. dd if=/dev/zero of=rootimg bs=4M count=1 (size depends on your kernel)
       mke2fs rootimg
       tune2fs -i0 -C0 rootimg
    c. mount -o loop rootimg /mnt/some_dir
    d. cp -a ./tmp_dir/* /mnt/some_dir/
    e. umount /mnt/some_dir
    f. gzip rootimg	(and check if it can fit in floppy)
    g. dd if=rootimg of=/dev/fd0
    --------------------------------------------------------------------------- 

    
