/*
 * Copyright 2002 MD5 S.A.
 * This is free software distributed under the GNU GPL 2. You
 * should have received a copy of the GPL 2 licence.
 * There is absolutely NO warranty for this software.
 */


#ifndef _RDA_API_H
#define _RDA_API_H

    /* Configuration. */
int parsecmd(int argc, char **argv);
int initcmd(void);
void printhelp(void);

    /* initialization + shutdown. */
int initnet(void);
int waitclient(void);
int closeinput(void);
int closeoutput(void);
int closenet(void);
int cleanup(void);

    /* loops */
int client_loop(void);
int server_loop(void);

    /* signal handlers. */
void sig_handler(int signo);

    /* main job. */
int readinput_s(void);
int readinput_c(void);
int writeoutput(void);
int sendinput(void);
int sendrest(void);
int readrest(void);

    /* read error skipping. */
int skip_error(void);

    /* crc32 */
void crc32_init(u_int32_t *table, u_int32_t *crc32sum);
void crc32_process(u_int32_t *table, u_int32_t *crc32sum,
		   unsigned char *bytes, u_int32_t no);
void crc32_finalize(u_int32_t *table, u_int32_t *crc32sum);

    /* logging. */
int checkmd5(void);
#define checkcrc32()	( (Server(crc32sum) != Server(crc32sum_remote)) ? -1 : 0 )
void hex(unsigned char *sum, u_int32_t no, FILE *out);
void savelog(time_t st, time_t nd, int argc, char **argv, u_int32_t dur,
	     float rate);

    /* misc */
void report(int level, char *fmt, ...);
char *macof(struct in_addr ip);

int _llseek(uint fd, ulong high, ulong low, loff_t *offt, uint wh);

#endif /* api.h */
