/*
 * Copyright 2002 MD5 S.A.
 * This is free software distributed under the GNU GPL 2. You
 * should have received a copy of the GPL 2 licence.
 * There is absolutely NO warranty for this software.
 */


#ifndef _RDA_CLIENT_H
#define _RDA_CLIENT_H

typedef struct _client_state {

	/* Networking stuff. */
    char *ip;
    ushort port;
    struct sockaddr_in addr;
    int sock;
	
	/* Read source. */
    char *inputf;
    int infd;
    struct stat instat;
    u_int64_t byte_count;
	
	/* Read parameters. */
    u_int32_t blocksize;
    u_int32_t count;
    u_int32_t skip_errors:1;

	/* checksum algorythms data. */	
    uint md5:1;
    uint crc32:1;
	
    u_int32_t crc_table[256];	/// crc32 table needed to make the checksum.
    struct md5_ctx ctx;		/// md5 context needed to make the checksum.
    
    u_int8_t md5sum[16];	/// md5 checksum.
    u_int32_t crc32sum;		/// crc32 checksum.
    
	/* Dynamic data. */
    u_int64_t tot_in, tot_out;		/// bytes in, out
    uint transf:1;			/// true if client is in the transfer mode.
    
	/* Report structures to be sent to the server. */
    Report *report;
    BBdef *bbdefs;

} ClientState;

#endif /* client.h */
