/*
 * Copyright 2002 MD5 S.A.
 * This is free software distributed under the GNU GPL 2. You
 * should have received a copy of the GPL 2 licence.
 * There is absolutely NO warranty for this software.
 */


#ifndef _RDA_REPORT_H
#define _RDA_REPORT_H

/*
 * This is send by the client to the server AFTER the transfer via the
 * second connection to be raised then.
 */
typedef struct _report
{
    u_int32_t cmd_len;	// command line length.

    uint error:1;
    int _errno;
    uint signaled:1;	// program exited due to signal.
    uint badcond:1;	// bad condition error.

    u_int32_t blocksize;
    u_int32_t count;
    uint reverse:1;

    uint md5:1;
    u_int8_t md5sum[16];

    uint crc32:1;
    u_int8_t crc32sum[4];
    
    u_int64_t tot;
    
    uint badblocks_no;
    
    char cmd[1];
} Report;


/* 
 * Bad block definition.
 * This structure follows the command line after the previous
 */
typedef struct _bb_def
{
    uint start:1;
    uint end:1;
    u_int64_t bb_offt;		/// blocks of 512 bytes.
} BBdef;

#endif /* report.h */
