/*
 * Copyright 2002 MD5 S.A.
 * This is free software distributed under the GNU GPL 2. You
 * should have received a copy of the GPL 2 licence.
 * There is absolutely NO warranty for this software.
 */


#ifndef _RDA_SERVER_H
#define _RDA_SERVER_H

// NOTE: The members appended with an '_remote'
// are reported by the client.

typedef struct _server_state {

	/* Networking stuff. */
    char *ip;
    ushort port;
    struct sockaddr_in addr;
    int sock, c_sock;
    struct sockaddr_in dwthe, keithe;	/* dwthe: local net address.
					 * keithe: remote net address. */	

    u_int32_t mac_set:1;
    char mac[18];	/// client mac address.
    
	/* Output destination. */
    char *outputf;
    int outfd;
	
	/* Span output configuration. */
    u_int32_t spansz;
    char *span_base;
    char span_fmt[50];
    u_int32_t span_cnt;

	/* Checksum algorythms configuration. */	
    uint md5:1;
    uint crc32:1;

    u_int32_t crc_table[256];
    struct md5_ctx ctx;
    
    u_int8_t md5sum[16], md5sum_remote[16];
    u_int32_t crc32sum, crc32sum_remote;

	/* Dynamic data. */
    u_int64_t tot_in, tot_out, remote_in;
    
    uint transf:1;	/// true if client is in the transfer mode.

	/* Logging. */    
    char *logf;
    Report *report;
    BBdef *bbdefs;

} ServerState;

#endif /* server.h */
